import request from "@/utils/request";

// 科研项目列表
export function technologyProjectList(params) {
    return request({
        url: "/business/technologyProject/list",
        method: "GET",
        params,
    });
}


// 科研项目信息添加
export function technologyProjectAdd(data) {
    return request({
        url: "/business/technologyProject",
        method: "post",
        data,
    });
}

// 科研项目信息修改
export function technologyProjectEdit(data) {
    return request({
        url: "/business/technologyProject",
        method: "PUT",
        data,
    });
}


export function technologyProjectDetail(id) {
    return request({
        url: `/business/technologyProject/${id}`,
        method: "GET",
    });
}


export function technologyProjectDelete(ids) {
    return request({
        url: `/business/technologyProject`,
        method: "DELETE",
        data: {
            ids
        }
    });
}


